> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# List Report history

GET https://api.withpersona.com/api/v1/reports/{report-id}/history

Retrieves the history of an existing Report, including runs and actions. See [Pagination](https://docs.withpersona.com/pagination) for more details about handling the response. Results are returned in reverse chronological order, with the most recently created objects first.

Reference: https://docs.withpersona.com/api-reference/reports/list-report-history

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `report-id` (string, required)

### Query parameters

- `page` (ReportsReportIdHistoryGetParametersPage, optional)

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a history array containing report runs and actions.

- `data` (list of ReportHistoryItems, required) — The history of runs and actions for a report
- `links` (ReportsReportIdHistoryGetResponsesContentApplicationJsonSchemaLinks, required, nullable) — Pagination links for navigating through the history

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of ReportsReportIdHistoryGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of ReportsReportIdHistoryGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of ReportsReportIdHistoryGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of ReportsReportIdHistoryGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of ReportsReportIdHistoryGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ReportsReportIdHistoryGetParametersPage

- `after` (string, optional) — Object ID for pagination cursor
- `before` (string, optional) — Object ID for pagination cursor
- `size` (double, optional) — Limit on the number of objects returned

### ReportHistoryItems

- `type`: `run` (Report History Run Entry)
  - `run-type` (string, required) — The type of run Possible values: - manual - scheduled Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update.
  - `completed-at` (datetime, optional, nullable) — When the run was completed
  - `id` (string, optional) — The unique identifier for this history entry
  - `matches` (integer, optional, nullable) — The number of matches found (only present if the run is completed)
  - `scheduled-date` (date, optional) — The date the report is scheduled to run on
- `type`: `dismiss` (Report History Dismissal Entry)
  - `created-at` (datetime, required) — When the dismissal was created
  - `creator-name` (string, required) — The name of the user that dismissed the report
  - `id` (string, optional) — The unique identifier for this history entry
- `type`: `pause` (Report History Pause Entry)
  - `created-at` (datetime, required) — When the report was paused
  - `creator-name` (string, required) — The name of the user that paused the report
  - `id` (string, optional) — The unique identifier for this history entry
- `type`: `resume` (Report History Resume Entry)
  - `created-at` (datetime, required) — When the report was resumed
  - `creator-name` (string, required) — The name of the user that resumed the report
  - `id` (string, optional) — The unique identifier for this history entry
- `type`: `review` (Report History Review Entry)
  - `created-at` (datetime, required) — When the review was created
  - `creator-name` (string, required) — The name of the user that reviewed the report
  - `id` (string, optional) — The unique identifier for this history entry

### ReportsReportIdHistoryGetResponsesContentApplicationJsonSchemaLinks

Pagination links for navigating through the history

- `prev` (string, required, nullable) — URL to the previous page of results
- `next` (string, required, nullable) — URL to the next page of results

### ReportsReportIdHistoryGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "type": "run",
      "run-type": "scheduled",
      "completed-at": "2025-10-22T05:07:10.000+00:00",
      "id": "rpr_5HCmTnQMtLgRyarbyFDFNy8k",
      "matches": 30,
      "scheduled-date": "2025-10-22"
    },
    {
      "type": "dismiss",
      "created-at": "2025-10-22T05:09:22.065+00:00",
      "creator-name": "John Doe",
      "id": "ract_nXmT51zEhQnwRYPCJmQ73Rq5"
    },
    {
      "type": "review",
      "created-at": "2025-10-22T04:30:03.000+00:00",
      "creator-name": "John Doe",
      "id": "ract_zbzaG66ZnxeRxnSrumQGU8kF"
    },
    {
      "type": "pause",
      "created-at": "2025-10-22T04:30:03.000+00:00",
      "creator-name": "John Doe",
      "id": "ract_xxSK46C5xQ8pCqcg3wKUyX5F"
    },
    {
      "type": "resume",
      "created-at": "2025-10-22T04:30:03.000+00:00",
      "creator-name": "John Doe",
      "id": "ract_L6JdsScaRjdzfKhESXRELyMg"
    }
  ],
  "links": {
    "prev": null,
    "next": "/api/v1/reports/report-id/history?page%5Bafter%5D=rpr_VydFpmA58EyEYnWLprvtMNau"
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/reports/report-id/history"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/reports/report-id/history';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/reports/report-id/history"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/reports/report-id/history")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/reports/report-id/history")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/reports/report-id/history', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/reports/report-id/history");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/reports/report-id/history")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```